Exec (Gradle API 7.6.4)

Package org.gradle.api.tasks

## Class Exec

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.AbstractExecTask<Exec>
        - - org.gradle.api.tasks.Exec

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `BaseExecSpec`, `ExecSpec`, `ProcessForkOptions`, `Configurable<Task>`

      @DisableCachingByDefault(because="Gradle would require more information to cache this task")
      public class Exec
      extends AbstractExecTask<Exec>

  Executes a command line process. Example:

       task stopTomcat(type:Exec) {
         workingDir '../tomcat/bin'

         //on windows:
         commandLine 'cmd', '/c', 'stop.bat'

         //on linux
         commandLine './stop.sh'

         //store the output instead of printing to the console:
         standardOutput = new ByteArrayOutputStream()

         //extension method stopTomcat.output() can be used to obtain the output:
         ext.output = {
           return standardOutput.toString()
         }
       }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Exec()` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.tasks.AbstractExecTask

      `args, args, commandLine, commandLine, copyTo, environment, environment, exec, executable, getArgs, getArgumentProviders, getCommandLine, getEnvironment, getErrorOutput, getExecActionFactory, getExecResult, getExecutable, getExecutionResult, getObjectFactory, getStandardInput, getStandardOutput, getWorkingDir, isIgnoreExitValue, setArgs, setArgs, setCommandLine, setCommandLine, setCommandLine, setEnvironment, setErrorOutput, setExecutable, setExecutable, setIgnoreExitValue, setStandardInput, setStandardOutput, setWorkingDir, setWorkingDir, workingDir`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### Exec

          public Exec()